import '../../../scripts/bootstrap/js/bootstrap.min'
import './cha.scss'
import {tp, clickFn as _c, msg, aj, jsonToStr as ts} from '../../comm-util/comm'

cd_show(0, 10);
///自动补齐
$("#company").bigAutocomplete({
    delay: 30000,
    width: $('#company').width() + 20,
    url: con.aj_url,
    callback: function (data) {
        con.autoFn(data);
    }
});
//第一个查询按钮
_c('.fir_cha', function (e) {
    let v = $('#company').val();
    if (v) {
        aj({
            url: con.fir_aj + '?word=' + v,
            fn: function (data) {
                con.fir_cha(data)
            }
        })
    } else {
        msg('请填写院校名称！')
    }
});

//第二个取院校
$('#sel-add1').parent().parent().find('li').click(function (e) {
    let v=$(e.target).attr('data-val');
    aj({
        url:con.er_s_aj1+'?id='+v,
        fn: function (data) {
            con.er_s_fn1(data)
        }

    })
});
//第二个取科类和批次
$('#sel-sy').parent().parent().find('li').click(function (e) {
    let v=$(e.target).attr('data-val');
    aj({
        url:con.er_s_aj2+'?id='+v,
        fn: function (data) {
            con.er_s_fn2(data)
        }

    });
    aj({
        url:con.er_s_aj3+'?id='+v,
        fn: function (data) {
            con.er_s_fn3(data)
        }

    });
});
//第2个查询按钮
_c('.er_cha', function (e) {
    let p = {
        v1: $('#sel-add1').val(),
        v2: $('#sel-nian2').val(),
        v3: $('#sel-sy').val(),
        v4: $('#sel-add3').val(),
        v5: $('#sel-nian').val(),
    };
    aj({
        url: con.er_aj + '?p=' + ts(p),
        fn: function () {

        }
    })

});

//第二个取院校
$('#sel-sy45').parent().parent().find('li').click(function (e) {
    let v=$(e.target).attr('data-val');
    aj({
        url:con.san_s_aj+'?id='+v,
        fn: function (data) {
            con.san_s_fn(data)
        }

    })
});


//myselect选择事件
$('.js-my-select').find('.option-c>ul').on('click', 'li', function () {
    $(this).parent().find('.selected').removeClass('selected');
    $(this).parent().parent().find('.selected').removeClass('selected');
    $(this).addClass('selected');
    $(this).parent().parent().parent().find('samp.init-c').text($(this).text());
    $(this).parent().parent().parent().find('input:hidden').val($(this).text()).attr('data-val', $(this).attr('data-val'));
});
//联动d
//城市操作
$('#sel-add').parent().parent().on('click', 'li', function (e) {
    $.ajax({
        url: con.y_x + '?id=' + e.target.dataset.val + "&name=" + e.target.innerText,
        type: 'POST',
        dataType: "json",
        success: function (data) {
            $('#sel-xm').parent().parent().find('ul').html(tp('.tp', data.data))
        }
    })
});

//加减事件v
var mouse_timeout;
var nun_timeout;
$('.js-jian').click(function () {
    $(this).next().val(parseInt($(this).next().val()) - 1);
}).mousedown(function () {
    var x = parseInt($(this).next().val());
    var _this = $(this).next();
    mouse_timeout = setTimeout(function () {
        nun_timeout = setInterval(function () {
            x = x - 1;
            _this.val(x);
        }, 30);
    }, 400);
}).mouseup(function () {
    clearTimeout(nun_timeout);
    clearTimeout(mouse_timeout);
});
$('.js-jia').click(function () {
    $(this).prev().val(parseInt($(this).prev().val()) + 1);
}).mousedown(function () {
    var x = parseInt($(this).prev().val());
    var _this = $(this).prev();
    mouse_timeout = setTimeout(function () {
        nun_timeout = setInterval(function () {
            x = x + 1;
            _this.val(x);
        }, 50);
    }, 400);
}).mouseup(function () {
    clearTimeout(nun_timeout);
    clearTimeout(mouse_timeout);
});